diff -ur snort-2.0.2/src/detection-plugins/sp_icmp_code_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_code_check.c
--- snort-2.0.2/src/detection-plugins/sp_icmp_code_check.c	Wed May 14 05:53:52 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_code_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_icmp_code_check.c,v 1.12 2003/05/13 20:53:52 chrisgreen Exp $ */
+/* $Id: sp_icmp_code_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #include <stdlib.h>
 #include <ctype.h>
diff -ur snort-2.0.2/src/detection-plugins/sp_icmp_code_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_code_check.h
--- snort-2.0.2/src/detection-plugins/sp_icmp_code_check.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_code_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_icmp_code_check.h,v 1.5 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_icmp_code_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_ICMP_CODE_CHECK_H__
 #define __SP_ICMP_CODE_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_icmp_id_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_id_check.c
--- snort-2.0.2/src/detection-plugins/sp_icmp_id_check.c	Wed May 14 05:53:53 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_id_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_icmp_id_check.c,v 1.13 2003/05/13 20:53:53 chrisgreen Exp $ */
+/* $Id: sp_icmp_id_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 /* sp_icmp_id 
  * 
  * Purpose:
diff -ur snort-2.0.2/src/detection-plugins/sp_icmp_id_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_id_check.h
--- snort-2.0.2/src/detection-plugins/sp_icmp_id_check.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_id_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_icmp_id_check.h,v 1.5 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_icmp_id_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 /* ICMP ping ID field detection plugin */
 
 #ifndef __SP_ICMP_ID_H__
diff -ur snort-2.0.2/src/detection-plugins/sp_icmp_seq_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_seq_check.c
--- snort-2.0.2/src/detection-plugins/sp_icmp_seq_check.c	Wed May 14 05:53:53 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_seq_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_icmp_seq_check.c,v 1.14 2003/05/13 20:53:53 chrisgreen Exp $ */
+/* $Id: sp_icmp_seq_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 /* sp_icmp_seq_check 
  * 
  * Purpose:
diff -ur snort-2.0.2/src/detection-plugins/sp_icmp_seq_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_seq_check.h
--- snort-2.0.2/src/detection-plugins/sp_icmp_seq_check.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_seq_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_icmp_seq_check.h,v 1.5 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_icmp_seq_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 /* ICMP ping Seq field detection plugin */
 
 #ifndef __SP_ICMP_SEQ_H__
diff -ur snort-2.0.2/src/detection-plugins/sp_icmp_type_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_type_check.c
--- snort-2.0.2/src/detection-plugins/sp_icmp_type_check.c	Wed May 14 05:53:53 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_type_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_icmp_type_check.c,v 1.13 2003/05/13 20:53:53 chrisgreen Exp $ */
+/* $Id: sp_icmp_type_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #include <stdlib.h>
 #include <ctype.h>
diff -ur snort-2.0.2/src/detection-plugins/sp_icmp_type_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_type_check.h
--- snort-2.0.2/src/detection-plugins/sp_icmp_type_check.h	Thu Oct 10 14:05:56 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_icmp_type_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_icmp_type_check.h,v 1.6 2002/10/10 05:05:56 chrisgreen Exp $ */
+/* $Id: sp_icmp_type_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_ICMP_TYPE_CHECK_H__
 #define __SP_ICMP_TYPE_CHECK_H__
 
Only in snort-2.0.2-ipv6/src/detection-plugins: sp_ip6_proto.c
Only in snort-2.0.2-ipv6/src/detection-plugins: sp_ip6_proto.h
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_fragbits.c snort-2.0.2-ipv6/src/detection-plugins/sp_ip_fragbits.c
--- snort-2.0.2/src/detection-plugins/sp_ip_fragbits.c	Wed May 14 05:53:53 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_fragbits.c	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: sp_ip_fragbits.c,v 1.15 2003/05/13 20:53:53 chrisgreen Exp $ */
+/* $Id: sp_ip_fragbits.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_fragbits.h snort-2.0.2-ipv6/src/detection-plugins/sp_ip_fragbits.h
--- snort-2.0.2/src/detection-plugins/sp_ip_fragbits.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_fragbits.h	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: sp_ip_fragbits.h,v 1.6 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_ip_fragbits.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_id_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_ip_id_check.c
--- snort-2.0.2/src/detection-plugins/sp_ip_id_check.c	Wed May 14 05:53:53 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_id_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ip_id_check.c,v 1.14 2003/05/13 20:53:53 chrisgreen Exp $ */
+/* $Id: sp_ip_id_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #include <sys/types.h>
 #include <stdlib.h>
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_id_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_ip_id_check.h
--- snort-2.0.2/src/detection-plugins/sp_ip_id_check.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_id_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ip_id_check.h,v 1.5 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_ip_id_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_IP_ID_CHECK_H__
 #define __SP_IP_ID_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_proto.c snort-2.0.2-ipv6/src/detection-plugins/sp_ip_proto.c
--- snort-2.0.2/src/detection-plugins/sp_ip_proto.c	Thu Mar 27 06:59:32 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_proto.c	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: sp_ip_proto.c,v 1.13 2003/03/26 21:59:32 chrisgreen Exp $ */
+/* $Id: sp_ip_proto.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /* sp_ip_proto 
  * 
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_proto.h snort-2.0.2-ipv6/src/detection-plugins/sp_ip_proto.h
--- snort-2.0.2/src/detection-plugins/sp_ip_proto.h	Fri Mar 14 17:28:52 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_proto.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ip_proto.h,v 1.5 2003/03/14 08:28:52 chris_reid Exp $ */
+/* $Id: sp_ip_proto.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #ifndef __SP_IP_PROTO_H__
 #define __SP_IP_PROTO_H__
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_same_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_ip_same_check.c
--- snort-2.0.2/src/detection-plugins/sp_ip_same_check.c	Wed May 14 05:53:53 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_same_check.c	Sat Nov 29 16:41:02 2003
@@ -17,7 +17,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ip_same_check.c,v 1.9 2003/05/13 20:53:53 chrisgreen Exp $ */
+/* $Id: sp_ip_same_check.c,v 1.2 2003/11/29 07:41:02 abekatsu Exp $ */
 
 #ifdef HAVE_CONFIG_H
 #include "config.h"
@@ -154,25 +154,49 @@
  ****************************************************************************/
 int IpSameCheck(Packet *p, struct _OptTreeNode *otn, OptFpList *fp_list)
 {
-    if(!p->iph)
+    if(!p->iph || !p->ip6h)
         return 0; /* if error occured while ip header
                    * was processed, return 0 automagically.
                */
-    if (p->iph->ip_src.s_addr == p->iph->ip_dst.s_addr) 
+
+    if (p->iph != NULL)
     {
+	if (p->iph->ip_src.s_addr == p->iph->ip_dst.s_addr) 
+	{
 
-	DEBUG_WRAP(DebugMessage(DEBUG_PLUGIN,"Match!  %x -> %x\n",
-				p->iph->ip_src.s_addr,  p->iph->ip_dst.s_addr););
-        /* call the next function in the function list recursively */
-        return fp_list->next->OptTestFunc(p, otn, fp_list->next);
+	    DEBUG_WRAP(DebugMessage(DEBUG_PLUGIN,"Match!  %x -> %x\n",
+				    p->iph->ip_src.s_addr,  p->iph->ip_dst.s_addr););
+	    /* call the next function in the function list recursively */
+	    return fp_list->next->OptTestFunc(p, otn, fp_list->next);
+	}
+	else
+	{
+	    /* you can put debug comments here or not */
+	    DEBUG_WRAP(DebugMessage(DEBUG_PLUGIN,"No match %x -> %x\n",
+				    p->iph->ip_src.s_addr,  p->iph->ip_dst.s_addr););
+	}
     }
-    else
+    else if (p->ip6h != NULL)
     {
-        /* you can put debug comments here or not */
-        DEBUG_WRAP(DebugMessage(DEBUG_PLUGIN,"No match %x -> %x\n",
-				p->iph->ip_src.s_addr,  p->iph->ip_dst.s_addr););
-    }
+	char src[INET6_ADDRSTRLEN], dst[INET6_ADDRSTRLEN];
+	inet_ntop(PF_INET, &p->ip6h->ip6_src, src, INET6_ADDRSTRLEN);
+	inet_ntop(PF_INET, &p->ip6h->ip6_dst, dst, INET6_ADDRSTRLEN);
+
+	if (IN6_ARE_ADDR_EQUAL((struct in6_addr *)&p->ip6h->ip6_src, 
+			       (struct in6_addr *)&p->ip6h->ip6_dst) == 0)
+	{
+	    DEBUG_WRAP(DebugMessage(DEBUG_PLUGIN,"Match!  %s -> %s\n",
+				    src, dst););
+	    /* call the next function in the function list recursively */
+	    return fp_list->next->OptTestFunc(p, otn, fp_list->next);
+	}
+	else
+	{
+	    DEBUG_WRAP(DebugMessage(DEBUG_PLUGIN,"No match %s -> %s\n",
+				    src, dst););
+	}
 
+    }
     /* if the test isn't successful, return 0 */
     return 0;
 }
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_same_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_ip_same_check.h
--- snort-2.0.2/src/detection-plugins/sp_ip_same_check.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_same_check.h	Tue Sep 30 13:25:26 2003
@@ -17,7 +17,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ip_same_check.h,v 1.4 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_ip_same_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_IP_SAME_CHECK_H__
 #define __SP_IP_SAME_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_tos_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_ip_tos_check.c
--- snort-2.0.2/src/detection-plugins/sp_ip_tos_check.c	Wed May 14 05:53:53 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_tos_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ip_tos_check.c,v 1.17 2003/05/13 20:53:53 chrisgreen Exp $ */
+/* $Id: sp_ip_tos_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #ifdef HAVE_CONFIG_H
 #include "config.h"
diff -ur snort-2.0.2/src/detection-plugins/sp_ip_tos_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_ip_tos_check.h
--- snort-2.0.2/src/detection-plugins/sp_ip_tos_check.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ip_tos_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ip_tos_check.h,v 1.6 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_ip_tos_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_IP_TOS_CHECK_H__
 #define __SP_IP_TOS_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_ipoption_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_ipoption_check.c
--- snort-2.0.2/src/detection-plugins/sp_ipoption_check.c	Wed May 14 05:53:53 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ipoption_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ipoption_check.c,v 1.15 2003/05/13 20:53:53 chrisgreen Exp $ */
+/* $Id: sp_ipoption_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
diff -ur snort-2.0.2/src/detection-plugins/sp_ipoption_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_ipoption_check.h
--- snort-2.0.2/src/detection-plugins/sp_ipoption_check.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ipoption_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ipoption_check.h,v 1.6 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_ipoption_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_IPOPTION_CHECK_H__
 #define __SP_IPOPTION_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_pattern_match.c snort-2.0.2-ipv6/src/detection-plugins/sp_pattern_match.c
--- snort-2.0.2/src/detection-plugins/sp_pattern_match.c	Mon Aug  4 23:32:50 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_pattern_match.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_pattern_match.c,v 1.56 2003/07/28 17:35:22 chris_reid Exp $ */
+/* $Id: sp_pattern_match.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #include <errno.h>
 
 #ifdef HAVE_CONFIG_H
diff -ur snort-2.0.2/src/detection-plugins/sp_pattern_match.h snort-2.0.2-ipv6/src/detection-plugins/sp_pattern_match.h
--- snort-2.0.2/src/detection-plugins/sp_pattern_match.h	Wed Mar  5 08:00:54 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_pattern_match.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_pattern_match.h,v 1.18 2003/03/04 23:00:54 chrisgreen Exp $ */
+/* $Id: sp_pattern_match.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #ifndef __SP_PATTERN_MATCH_H__
 #define __SP_PATTERN_MATCH_H__
diff -ur snort-2.0.2/src/detection-plugins/sp_react.c snort-2.0.2-ipv6/src/detection-plugins/sp_react.c
--- snort-2.0.2/src/detection-plugins/sp_react.c	Thu Mar 27 06:59:34 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_react.c	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: sp_react.c,v 1.21 2003/03/26 21:59:34 chrisgreen Exp $ */
+/* $Id: sp_react.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
diff -ur snort-2.0.2/src/detection-plugins/sp_react.h snort-2.0.2-ipv6/src/detection-plugins/sp_react.h
--- snort-2.0.2/src/detection-plugins/sp_react.h	Thu Oct 10 14:05:56 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_react.h	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: sp_react.h,v 1.13 2002/10/10 05:05:56 chrisgreen Exp $ */
+/* $Id: sp_react.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
diff -ur snort-2.0.2/src/detection-plugins/sp_respond.c snort-2.0.2-ipv6/src/detection-plugins/sp_respond.c
--- snort-2.0.2/src/detection-plugins/sp_respond.c	Thu Mar 27 06:59:34 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_respond.c	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: sp_respond.c,v 1.25 2003/03/26 21:59:34 chrisgreen Exp $ */
+/* $Id: sp_respond.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 ** Copyright (C) 1999,2000,2001 Christian Lademann <cal@zls.de>
@@ -18,7 +18,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_respond.c,v 1.25 2003/03/26 21:59:34 chrisgreen Exp $ */
+/* $Id: sp_respond.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /*
  * CREDITS:
diff -ur snort-2.0.2/src/detection-plugins/sp_respond.h snort-2.0.2-ipv6/src/detection-plugins/sp_respond.h
--- snort-2.0.2/src/detection-plugins/sp_respond.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_respond.h	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: sp_respond.h,v 1.8 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_respond.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 ** Copyright (C) 1999,2000,2001 Christian Lademann <cal@zls.de>
diff -ur snort-2.0.2/src/detection-plugins/sp_rpc_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_rpc_check.c
--- snort-2.0.2/src/detection-plugins/sp_rpc_check.c	Wed May 14 05:53:53 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_rpc_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_rpc_check.c,v 1.14 2003/05/13 20:53:53 chrisgreen Exp $ */
+/* $Id: sp_rpc_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #include <sys/types.h>
 #include <stdlib.h>
diff -ur snort-2.0.2/src/detection-plugins/sp_rpc_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_rpc_check.h
--- snort-2.0.2/src/detection-plugins/sp_rpc_check.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_rpc_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_rpc_check.h,v 1.6 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_rpc_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_RPC_CHECK_H__
 #define __SP_RPC_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_session.c snort-2.0.2-ipv6/src/detection-plugins/sp_session.c
--- snort-2.0.2/src/detection-plugins/sp_session.c	Thu Aug 14 04:10:02 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_session.c	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: sp_session.c,v 1.26 2003/05/27 18:40:12 chrisgreen Exp $ */
+/* $Id: sp_session.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
diff -ur snort-2.0.2/src/detection-plugins/sp_session.h snort-2.0.2-ipv6/src/detection-plugins/sp_session.h
--- snort-2.0.2/src/detection-plugins/sp_session.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_session.h	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: sp_session.h,v 1.6 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_session.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
diff -ur snort-2.0.2/src/detection-plugins/sp_tcp_ack_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_ack_check.c
--- snort-2.0.2/src/detection-plugins/sp_tcp_ack_check.c	Wed May 14 05:53:54 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_ack_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_tcp_ack_check.c,v 1.14 2003/05/13 20:53:54 chrisgreen Exp $ */
+/* $Id: sp_tcp_ack_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #include <sys/types.h>
 #include <stdlib.h>
diff -ur snort-2.0.2/src/detection-plugins/sp_tcp_ack_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_ack_check.h
--- snort-2.0.2/src/detection-plugins/sp_tcp_ack_check.h	Tue May 14 05:14:06 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_ack_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_tcp_ack_check.h,v 1.5 2002/05/13 20:14:06 chrisgreen Exp $ */
+/* $Id: sp_tcp_ack_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_TCP_ACK_CHECK_H__
 #define __SP_TCP_ACK_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_tcp_flag_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_flag_check.c
--- snort-2.0.2/src/detection-plugins/sp_tcp_flag_check.c	Wed May 14 05:53:54 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_flag_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_tcp_flag_check.c,v 1.18 2003/05/13 20:53:54 chrisgreen Exp $ */
+/* $Id: sp_tcp_flag_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #include <sys/types.h>
 #include <stdlib.h>
diff -ur snort-2.0.2/src/detection-plugins/sp_tcp_flag_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_flag_check.h
--- snort-2.0.2/src/detection-plugins/sp_tcp_flag_check.h	Tue May 14 05:14:07 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_flag_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_tcp_flag_check.h,v 1.5 2002/05/13 20:14:07 chrisgreen Exp $ */
+/* $Id: sp_tcp_flag_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_TCP_FLAG_CHECK_H__
 #define __SP_TCP_FLAG_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_tcp_seq_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_seq_check.c
--- snort-2.0.2/src/detection-plugins/sp_tcp_seq_check.c	Wed May 14 05:53:54 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_seq_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_tcp_seq_check.c,v 1.14 2003/05/13 20:53:54 chrisgreen Exp $ */
+/* $Id: sp_tcp_seq_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #include <sys/types.h>
 #include <stdlib.h>
diff -ur snort-2.0.2/src/detection-plugins/sp_tcp_seq_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_seq_check.h
--- snort-2.0.2/src/detection-plugins/sp_tcp_seq_check.h	Tue May 14 05:14:07 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_seq_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_tcp_seq_check.h,v 1.5 2002/05/13 20:14:07 chrisgreen Exp $ */
+/* $Id: sp_tcp_seq_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_TCP_SEQ_CHECK_H__
 #define __SP_TCP_SEQ_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_tcp_win_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_win_check.c
--- snort-2.0.2/src/detection-plugins/sp_tcp_win_check.c	Wed May 14 05:53:54 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_win_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_tcp_win_check.c,v 1.14 2003/05/13 20:53:54 chrisgreen Exp $ */
+/* $Id: sp_tcp_win_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #ifdef HAVE_CONFIG_H
 #include "config.h"
diff -ur snort-2.0.2/src/detection-plugins/sp_tcp_win_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_win_check.h
--- snort-2.0.2/src/detection-plugins/sp_tcp_win_check.h	Tue May 14 05:14:07 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_tcp_win_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_tcp_win_check.h,v 1.4 2002/05/13 20:14:07 chrisgreen Exp $ */
+/* $Id: sp_tcp_win_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_TCP_WIN_CHECK_H__
 #define __SP_TCP_WIN_CHECK_H__
 
diff -ur snort-2.0.2/src/detection-plugins/sp_ttl_check.c snort-2.0.2-ipv6/src/detection-plugins/sp_ttl_check.c
--- snort-2.0.2/src/detection-plugins/sp_ttl_check.c	Wed May 14 05:53:54 2003
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ttl_check.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ttl_check.c,v 1.14 2003/05/13 20:53:54 chrisgreen Exp $ */
+/* $Id: sp_ttl_check.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #include <stdlib.h>
 #include <ctype.h>
diff -ur snort-2.0.2/src/detection-plugins/sp_ttl_check.h snort-2.0.2-ipv6/src/detection-plugins/sp_ttl_check.h
--- snort-2.0.2/src/detection-plugins/sp_ttl_check.h	Tue May 14 05:14:07 2002
+++ snort-2.0.2-ipv6/src/detection-plugins/sp_ttl_check.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: sp_ttl_check.h,v 1.7 2002/05/13 20:14:07 chrisgreen Exp $ */
+/* $Id: sp_ttl_check.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 #ifndef __SP_TTL_CHECK_H__
 #define __SP_TTL_CHECK_H__
 
diff -ur snort-2.0.2/src/event.h snort-2.0.2-ipv6/src/event.h
--- snort-2.0.2/src/event.h	Wed May 15 10:49:32 2002
+++ snort-2.0.2-ipv6/src/event.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: event.h,v 1.7 2002/05/15 01:49:32 andrewbaker Exp $ */
+/* $Id: event.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/fatal.h snort-2.0.2-ipv6/src/fatal.h
--- snort-2.0.2/src/fatal.h	Fri Mar 15 23:48:00 2002
+++ snort-2.0.2-ipv6/src/fatal.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: fatal.h,v 1.2 2002/03/15 14:48:00 chrisgreen Exp $ */
+/* $Id: fatal.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
